Bug 1659683 - [abrt] gnome-software: g_hash_table_remove_all_nodes(): gnome-software killed by SIGABRT
Summary: [abrt] gnome-software: g_hash_table_remove_all_nodes(): gnome-software killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:07b3e9401b0dc0e5abe029e2f7b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-15 06:20 UTC by Mikhail
Modified: 2020-11-24 18:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:29:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (54.42 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: cgroup (195 bytes, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: core_backtrace (28.59 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: cpuinfo (1.50 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: dso_list (16.90 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: environ (3.63 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: maps (106.66 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: mountinfo (3.81 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: open_fds (4.09 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details
File: var_log_messages (2.88 KB, text/plain)
2018-12-15 06:20 UTC, Mikhail
no flags Details

Description Mikhail 2018-12-15 06:20:19 UTC
Version-Release number of selected component:
gnome-software-3.31.1-1.fc30

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_hash_table_remove_all_nodes
executable:     /usr/bin/gnome-software
journald_cursor: s=731d7c846b71468d9feccf4cc357b334;i=9da;b=0ee6030422914943864ebbd9c3cb0c30;m=ad24096;t=57d0956771fb7;x=94b7d18f03e0b830
kernel:         4.20.0-0.rc6.git1.1.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1647426

Comment 1 Mikhail 2018-12-15 06:20:22 UTC
Created attachment 1514545 [details]
File: backtrace

Comment 2 Mikhail 2018-12-15 06:20:23 UTC
Created attachment 1514546 [details]
File: cgroup

Comment 3 Mikhail 2018-12-15 06:20:30 UTC
Created attachment 1514547 [details]
File: core_backtrace

Comment 4 Mikhail 2018-12-15 06:20:31 UTC
Created attachment 1514548 [details]
File: cpuinfo

Comment 5 Mikhail 2018-12-15 06:20:33 UTC
Created attachment 1514549 [details]
File: dso_list

Comment 6 Mikhail 2018-12-15 06:20:34 UTC
Created attachment 1514550 [details]
File: environ

Comment 7 Mikhail 2018-12-15 06:20:35 UTC
Created attachment 1514551 [details]
File: limits

Comment 8 Mikhail 2018-12-15 06:20:37 UTC
Created attachment 1514552 [details]
File: maps

Comment 9 Mikhail 2018-12-15 06:20:39 UTC
Created attachment 1514553 [details]
File: mountinfo

Comment 10 Mikhail 2018-12-15 06:20:40 UTC
Created attachment 1514554 [details]
File: open_fds

Comment 11 Mikhail 2018-12-15 06:20:41 UTC
Created attachment 1514555 [details]
File: proc_pid_status

Comment 12 Mikhail 2018-12-15 06:20:43 UTC
Created attachment 1514556 [details]
File: var_log_messages

Comment 13 Ben Cotton 2019-08-13 17:00:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 14 Ben Cotton 2019-08-13 19:39:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 15 Ben Cotton 2020-11-03 15:06:33 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2020-11-24 18:29:35 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.